--- a/src/ffi.cc
+++ b/src/ffi.cc
@@ -73,6 +73,14 @@ void FFI::InitializeBindings(Env env, Ob
 #ifdef __arm__
   SET_ENUM_VALUE(FFI_SYSV);
   SET_ENUM_VALUE(FFI_VFP);
+  /* ---- MIPS processors ---------- */
+#elif defined(__mips__)
+  SET_ENUM_VALUE(FFI_O32);
+  SET_ENUM_VALUE(FFI_N32);
+  SET_ENUM_VALUE(FFI_N64);
+  SET_ENUM_VALUE(FFI_O32_SOFT_FLOAT);
+  SET_ENUM_VALUE(FFI_N32_SOFT_FLOAT);
+  SET_ENUM_VALUE(FFI_N64_SOFT_FLOAT);
   /* ---- Intel x86 Win32 ---------- */
 #elif defined(X86_WIN32)
   SET_ENUM_VALUE(FFI_SYSV);
